Index: tests/Tesselations/NonConvex/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at
===================================================================
--- tests/Tesselations/NonConvex/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - 1_2-dimethoxyethane])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=1_2-dimethoxyethane
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene.at
===================================================================
--- tests/Tesselations/NonConvex/1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - 1_2-dimethylbenzene])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=1_2-dimethylbenzene
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at
===================================================================
--- tests/Tesselations/NonConvex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - 2-methylcyclohexanone])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=2-methylcyclohexanone
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide.at
===================================================================
--- tests/Tesselations/NonConvex/N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - N_N-dimethylacetamide])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=N_N-dimethylacetamide
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/benzene/testsuite-benzene.at
===================================================================
--- tests/Tesselations/NonConvex/benzene/testsuite-benzene.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/benzene/testsuite-benzene.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - benzene])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=benzene
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/cholesterol/testsuite-cholesterol.at
===================================================================
--- tests/Tesselations/NonConvex/cholesterol/testsuite-cholesterol.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/cholesterol/testsuite-cholesterol.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - cholesterol])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=cholesterol
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/cycloheptane/testsuite-cycloheptane.at
===================================================================
--- tests/Tesselations/NonConvex/cycloheptane/testsuite-cycloheptane.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/cycloheptane/testsuite-cycloheptane.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - cycloheptane])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=cycloheptane
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - dimethyl_bromomalonate])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=dimethyl_bromomalonate
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/glucose/testsuite-glucose.at
===================================================================
--- tests/Tesselations/NonConvex/glucose/testsuite-glucose.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/glucose/testsuite-glucose.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - glucose])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=glucose
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/heptan/testsuite-heptan.at
===================================================================
--- tests/Tesselations/NonConvex/heptan/testsuite-heptan.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/heptan/testsuite-heptan.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - heptan])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=heptan
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/isoleucine/testsuite-isoleucine.at
===================================================================
--- tests/Tesselations/NonConvex/isoleucine/testsuite-isoleucine.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/isoleucine/testsuite-isoleucine.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - isoleucine])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=isoleucine
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/neohexane/testsuite-neohexane.at
===================================================================
--- tests/Tesselations/NonConvex/neohexane/testsuite-neohexane.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/neohexane/testsuite-neohexane.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - neohexane])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=neohexane
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/proline/testsuite-proline.at
===================================================================
--- tests/Tesselations/NonConvex/proline/testsuite-proline.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/proline/testsuite-proline.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - proline])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=proline
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/putrescine/testsuite-putrescine.at
===================================================================
--- tests/Tesselations/NonConvex/putrescine/testsuite-putrescine.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/putrescine/testsuite-putrescine.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - putrescine])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=putrescine
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
Index: tests/Tesselations/NonConvex/tartaric_acid/testsuite-tartaric_acid.at
===================================================================
--- tests/Tesselations/NonConvex/tartaric_acid/testsuite-tartaric_acid.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/tartaric_acid/testsuite-tartaric_acid.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
@@ -19,5 +19,5 @@
 
 AT_SETUP([Non-convex Tesselations - tartaric_acid])
-AT_KEYWORDS([tesselation non-convex-envelope])
+AT_KEYWORDS([tesselation non-convex-envelope trianglematcher])
 
 mol=tartaric_acid
@@ -32,5 +32,5 @@
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
-	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([../../trianglematcher reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
 done
 
